geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Re: Starting from framework
Date Fri, 20 Mar 2009 01:44:12 GMT

On Mar 19, 2009, at 6:11 PM, Derek Potts wrote:

>
>
> djencks wrote:
>>
>>
>> 1. edit var/config/config.xml to look like this:
>>
>>             <attribute
>> name="userRepositories">~/.m2/repository,http://geronimo.apache.org/plugins/geronimo-2.1.4
>> </attribute>
>>
>>
>
> Since I'm working with the 2.1.3 framework distribution, I made my
> config.xml look like this:
> <attribute
> name="userRepositories">http://geronimo.apache.org/plugins/geronimo-2.1.3 
> </attribute>
> I dropped ~/.m2/repository since I don't have anything in my local  
> repo.
>
> deploy/list-plugins then listed 114 plugins. But I also ran into  
> problems
> attempting to install Jetty or the console.
>
> When I tried
> 1:      Geronimo Plugins, Console :: Jetty (2.1.3)
> this was the output:
> Downloading org.apache.geronimo.plugins/pluto-support/2.1.3/car
> Downloading org.apache.pluto/pluto-portal-driver/1.1.6-G643117/jar
> Installation FAILED: Could not find
> org.apache.pluto/pluto-portal-driver/1.1.6-G643117/jar in any repo
>
> When I tried
> 71:     Geronimo Plugins, Jetty :: Jetty 6 (2.1.3)
> this was the output:
> Copying org.apache.geronimo.configs/j2ee-server//car to the repository
> Installation FAILED: Artifact org.apache.geronimo.configs/j2ee- 
> server//car
> is
> not fully resolved
>
> Next, I'll see if I can attain my desired setup starting from Little- 
> G.

I forgot about the private-versions-of-pluto/tomcat/etc problem.  I'm  
afraid we are unlikely to solve it for 2.1.4. It will still prevent  
you from installing the console from little-g.   Basically I think you  
will need to check out

svn co https://svn.apache.org/repos/asf/geronimo/server/tags/2.1.3/repository/

cd repository
mvn clean install

this will install all the private artifacts we should be publishing  
under our own groupIds to your local maven repo and then I think the  
console should install OK.

I'm going to look at the missing-version problem in 2.1.4.... maybe  
there will be something we can fix for the release

I guess we need integration tests for this somehow... but we really  
need to actually release these private artifacts.

david jencks

>
> -- 
> View this message in context: http://www.nabble.com/Starting-from-framework-tp22571384s134p22612670.html
> Sent from the Apache Geronimo - Users mailing list archive at  
> Nabble.com.
>


Mime
View raw message